Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2021 01:32:14 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi, I received my order today and I am extremely disappointed! For the first time ever in dubai I receive something that isn’t as per the picture. I received only the top part for the kaftan without the downpart and the built is missing! 

I love the kaftan but it is not as per the picture. I need the Masing built please and someone to communicate with me. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2253030